# Global

##

### Methods

#### md4(message) → {String}

MD4 hash function, export to global in browsers.

##### Parameters:

Name | Type | Description
--- | --- | ---
`message` | String | Array | Uint8Array | ArrayBuffer | message to hash

Source:
  - md4.js, line 550

##### Returns:

md4 hashes

Type
  String

##### Example

    md4(''); // 31d6cfe0d16ae931b73c59d7e0c089c0
    md4('The quick brown fox jumps over the lazy dog'); // 1bee69a46ba811185c194762abaeae90
    md4('The quick brown fox jumps over the lazy dog.'); // 2812c6c7136898c51f6f6739ad08750e

    // It also supports UTF-8 encoding
    md4('中文'); // 223088bf7bd45a16436b15360c5fc5a0

    // It also supports byte `Array`, `Uint8Array`, `ArrayBuffer`
    md4([]); // 31d6cfe0d16ae931b73c59d7e0c089c0
    md4(new Uint8Array([])); // 31d6cfe0d16ae931b73c59d7e0c089c0